Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# browser.h File Reference

Classes that manage the scene. More...

`#include <boost/thread.hpp>`
`#include <openvrml/script.h>`
Include dependency graph for browser.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | openvrml::resource_istream
| An abstract input stream for network resources. More...
class | openvrml::resource_fetcher
| An abstract factory for `resource_istreams`. More...
class | openvrml::stream_listener
| An interface to simplify asynchronously reading a `resource_istream`. More...
class | openvrml::invalid_vrml
| Exception thrown when the parser fails due to errors in the VRML input. More...
class | openvrml::viewer_in_use
| Exception thrown when attempting to associate a `viewer` with a `browser` when the `viewer` is already associated with a `browser`. More...
class | openvrml::browser_event
| A `browser`-wide event. More...
class | openvrml::browser_listener
| This class should be inherited by classes that want to listen for `browser_events`. More...
class | openvrml::node_metatype_registry
| Registry for `node_metatypes`. More...
class | openvrml::browser
| Encapsulates a VRML browser. More...

## Namespaces

namespace | openvrml

| The OpenVRML Runtime Library.

## Typedefs

typedef void(* | openvrml::register_node_metatypes_func )(node_metatype_registry &)
| The signature of the node module entry point.

## Functions

std::auto_ptr< node_type_decls > | openvrml::profile (const std::string &profile_id) throw ( std::invalid_argument , std::bad_alloc )
| Get a `node_type_decls` map corresponding to a particular profile.
void | openvrml::add_component (node_type_decls &node_types, const std::string &component_id, size_t level) throw ( std::invalid_argument , std::bad_alloc )
| Add the nodes corresponding to a component level to a `node_type_decls` map.
void | openvrml::local::parse_vrml (std::istream &in, const std::string &uri, const std::string &type, const openvrml::scene &scene, std::vector< boost::intrusive_ptr< node > > &nodes, std::map< std::string, std::string > &meta)

## Variables

const char | openvrml::vrml_media_type [11] = "model/vrml"
| VRML MIME media type.
const char | openvrml::x_vrml_media_type [15] = "x-world/x-vrml"
| Experimental VRML MIME media type.
const char | openvrml::x3d_vrml_media_type [15] = "model/x3d-vrml"
| X3D VRML MIME media type.

## Detailed Description

Classes that manage the scene.